<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Module kparts</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>
<h1>kparts Module</h1>
<hr><p><h2>Framework for KDE Graphical Components </h2>
</p>
<p>
This library implements the framework for KDE parts, which are
elaborate widgets with a user-interface defined in terms of actions
(menu items, toolbar icons). See KParts.Part.
</p>
<p>
The library also provides a framework for applications that want to
use parts. Such applications need to inherit their main window
from KParts.MainWindow and provide a so-called shell GUI,
which provides a basic skeleton GUI with part-independent functionality/actions.
</p>
<p>
Some KParts applications won't be specific to a given part, but expect
to be able to embed, for instance, all types of viewers out there. For this
the basic functionality of any viewer has been implemented in
KParts.ReadOnlyPart, which viewer-like parts should inherit from.
The same applies to KParts.ReadWritePart, which is for editor-like parts.
</p>
<p>
You can add actions to an existing KParts app from "outside", defining
the code for those actions in a shared library. This mechanism is
obviously called plugins, and implemented by KParts.Plugin.
</p>
<p>
For a complete, and very simple, example of how to use KParts to display
any kind of file (i.e. making a generic viewer), see the documentation for
KParts.ComponentFactory.createPartInstanceFromQuery.
</p>
<p>

<dl compact><dt><b>Author(s):</b></dt><dd>
Simon Hausmann &lt;hausmann@kde.org&gt;<br>
David Faure &lt;faure@kde.org&gt;<br>
Kurt Granroth &lt;granroth@kde.org&gt;<br>
Michael Koch &lt;koch@kde.org&gt;
</dd></dl> </p>
<p>

<dl compact><dt><b>Maintainer(s):</b></dt><dd>
[Unknown/None]
</dd></dl> </p>
<p>

<dl compact><dt><b>License(s):</b></dt><dd>
<a href="http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html#SEC1">LGPLv2</a>
</dd></dl>
</p><h2>Namespaces</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td></td></tr>
<tr><td><a class="el" href="global.html"><i>global</i></a>&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.html">KParts</a>&nbsp;&nbsp;&nbsp;</td><td></td></tr>
</table>
<h2>Class Index</h2>
<table width="95%" align="center" border="0" cellpadding="0" cellspacing="0">
<tbody><tr><td><a name="letter_B">&nbsp;&nbsp;B&nbsp;&nbsp;</a></td><td><a name="letter_H">&nbsp;&nbsp;H&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.PartBase.html">PartBase</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.BrowserArguments.html">BrowserArguments</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.HistoryProvider.html">HistoryProvider</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.PartManager.html">PartManager</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.BrowserExtension.html">BrowserExtension</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_L">&nbsp;&nbsp;L&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.PartSelectEvent.html">PartSelectEvent</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.BrowserHostExtension.html">BrowserHostExtension</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.LiveConnectExtension.html">LiveConnectExtension</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.Plugin.html">Plugin</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.BrowserInterface.html">BrowserInterface</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_M">&nbsp;&nbsp;M&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.Plugin.PluginInfo.html">PluginInfo</a>&nbsp;(<a class="el" href="KParts.Plugin.html">KParts.Plugin</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.BrowserRun.html">BrowserRun</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.MainWindow.html">MainWindow</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_R">&nbsp;&nbsp;R&nbsp;&nbsp;</a></td></tr>
<tr><td><a name="letter_E">&nbsp;&nbsp;E&nbsp;&nbsp;</a></td><td><a name="letter_O">&nbsp;&nbsp;O&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.ReadOnlyPart.html">ReadOnlyPart</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a class="el" href="KParts.Event.html">Event</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.OpenUrlArguments.html">OpenUrlArguments</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.ReadWritePart.html">ReadWritePart</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_F">&nbsp;&nbsp;F&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.OpenUrlEvent.html">OpenUrlEvent</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_S">&nbsp;&nbsp;S&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KParts.Factory.html">Factory</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_P">&nbsp;&nbsp;P&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.StatusBarExtension.html">StatusBarExtension</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
<tr><td><a name="letter_G">&nbsp;&nbsp;G&nbsp;&nbsp;</a></td><td><a class="el" href="KParts.Part.html">Part</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a name="letter_W">&nbsp;&nbsp;W&nbsp;&nbsp;</a></td></tr>
<tr><td><a class="el" href="KParts.GUIActivateEvent.html">GUIActivateEvent</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.PartActivateEvent.html">PartActivateEvent</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td><td><a class="el" href="KParts.WindowArgs.html">WindowArgs</a>&nbsp;(<a class="el" href="KParts.html">KParts</a>)&nbsp;&nbsp;&nbsp;</td></tr>
</table>

</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
